al_set_sample_instance_length(3)

NAME

al_set_sample_instance_length - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    bool al_set_sample_instance_length(ALLEGRO_SAMPLE_INSTANCE *spl,
       unsigned int val)

DESCRIPTION

Set the length of the sample instance in sample values. This can be used to play only parts of the underlying sample. Be careful not to exceed the actual length of the sample data, though.

Return true on success, false on failure. Will fail if the sample instance is currently playing.

SEE ALSO

al_get_sample_instance_length(3)